Cancel Inbound Shipment
curl --request POST \
--url https://api.beachdepository.com/v1/inbound-shipments/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.beachdepository.com/v1/inbound-shipments/{id}/cancel"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.beachdepository.com/v1/inbound-shipments/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Inbound Shipments
Cancel Inbound Shipment
Cancel an inbound shipment before it reaches the vault
POST
/
inbound-shipments
/
{id}
/
cancel
Cancel Inbound Shipment
Cancels an inbound shipment. Only shipments in
pending or in_transit status can be cancelled — once a shipment is received at the vault it can no longer be cancelled.
Permission: inbound_shipments:update
Path parameters
string
required
The inbound shipment ID
Request body
string
Optional free-text reason for the cancellation.
Response
Returns the cancelled inbound shipment.{
"data": {
"id": "jn7shipin123",
"fboAccountId": "m97fbo456",
"organizationId": "k57orgxyz",
"status": "cancelled",
"shipmentNotes": "10x 1oz Gold Eagles",
"trackingNumber": "1Z999AA10123456784",
"carrier": "UPS",
"createdAt": "2025-04-05T16:00:00Z"
}
}
⌘I